CUYO(6)

NAME
cuyo - Tetris-like game with many surprises

SYNOPSIS
cuyo [-d] [-f] [-g widthxheight] [-h] [-?] [--version versions] [ld-file]

cuyo -?

DESCRIPTION
Use A, D, W and S or the arrow keys to move left, move right, turn and drop the falling piece. Try to put blobs of the same color together. (You don't need to form rows or columns. Any shape will do.) When enough blobs of the same color are connected, they explode. (What "enough" means depends on the level.) Try to make explosions next to the the grass (or whatever there is in the level instead of the grass). Then, it will explode, too. The level is finished when no grass is left.
In some levels, you will need a chain reaction to get rid of the grass-equivalent. And many other things may happen in other levels.
In two-player-mode, each time one player causes an explosion, the other one gets grey things (which explode when something else explodes next to them). If one player builds a too big tower, the other player may get one of his rows.

OPTIONS

-d  Debug mode.

-f  Fullscreen mode.

-g widthxheight
    Set the window size.

-h  Print a short help message and exit with status 0.

-?  Print a short help message and exit with status 1.

--version versions, --version=versions
    Activate special versions of levels and level tracks. versions is a comma-separated list of version specifiers. Version specifiers pertaining to difficulty setting, numbers of players, and level tracks can also be set from the main menu. See the cual(6) manpage for the relevant values. The other version specifiers which are actually used in levels are eco and geek.

    eco makes a very few levels less resource-hungry. In the consequence, they also become less beautiful.

If you're trying to design own levels, you can pass the name of your .ld file (level description file) to test the level. If you do that, this will be the only available level.

CREATING NEW LEVELS
The main work is to draw all those little icons. Then you have to create a level description file which tells cuyo how to put everything together. There is an example level with many comments. Its description file is example.ld. (It should be part of the cuyo distribution and probably lies in the same directory as the other cuyo level description files.) It is rather outdated but may still be a good starting point.

Other Sources of information are:

-   Try man cual. Cual - the Cuyo Animation Language - is the format of level description files.

-   And of course, there are the level description files of the existing levels (files ending in .ld, probably located somewhere like /usr/share/games/cuyo/).

SEE ALSO
cual(6)

BUGS
The level description language is still under development.
In the preferences dialog, some keys are not displayed correctly.
The AI Player is not very intelligent. In particular, it doesn't understand most of the special features of the levels, and so, it sometimes behaves very silly.
See the TODO file for other bugs.

AUTHORS
Mainly Immanuel Halupczok <cuyo@karimmi.de>.
Other contributors to the source code: Bernhard R. Link, Mark Weyer, Bernhard Seckinger.
Other contributors of levels: Daniela Lipps, Simon Huggenberger.